com.io7m.jcanephora.core

## Enum JCGLFaceWindingOrder

- java.lang.Object
- - java.lang.Enum<JCGLFaceWindingOrder>
  - - com.io7m.jcanephora.core.JCGLFaceWindingOrder

- All Implemented Interfaces:
    Serializable, Comparable<JCGLFaceWindingOrder>

      public enum JCGLFaceWindingOrder
      extends Enum<JCGLFaceWindingOrder>

  The order of vertices for front-facing faces.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `FRONT_FACE_CLOCKWISE` Front faces have a clockwise winding order; `GL_CW`
    `FRONT_FACE_COUNTER_CLOCKWISE` Front faces have a clockwise winding order; `GL_CCW`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static JCGLFaceWindingOrder` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static JCGLFaceWindingOrder[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### FRONT_FACE_CLOCKWISE

          public static final JCGLFaceWindingOrder FRONT_FACE_CLOCKWISE

      Front faces have a clockwise winding order; `GL_CW`

    - #### FRONT_FACE_COUNTER_CLOCKWISE

          public static final JCGLFaceWindingOrder FRONT_FACE_COUNTER_CLOCKWISE

      Front faces have a clockwise winding order; `GL_CCW`

  - ### Method Detail

    - #### values

          public static JCGLFaceWindingOrder[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (JCGLFaceWindingOrder c : JCGLFaceWindingOrder.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static JCGLFaceWindingOrder valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2016 <code@io7m.com> http://io7m.com